Bug 207206 - need to sync before hibernate?
need to sync before hibernate?
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-09-19 17:48 EDT by Luke Hutchison
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-10 19:49:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of dmesg (16.91 KB, text/plain)
2006-11-02 00:24 EST, Luke Hutchison
no flags Details

  None (edit)
Description Luke Hutchison 2006-09-19 17:48:58 EDT
For some reason hibernate stopped working for my Sony Vaio VGN-TR3A laptop
between FC5 and FC6test3.  It goes most of the way down but then just sits there
without actually shutting down.  I have to forcibly poweroff to do anything at
this point.

The problem I'm reporting here though is that when I reboot, I have so far every
time got reports of orphaned inodes.  This leads me to wonder -- is hibernate on
FC6 not running a sync to flush buffers to disk before swapping out the contents
of RAM?

(I would like to report the hibernate problem separately, but this bug is not
about that, it is about the sync issue.  I know there are lots of issues with
different hardware having problems with hibernate.  What is the protocol for
debugging and reporting these?)

Comment 1 Dave Jones 2006-10-31 17:37:45 EST
Can you attach the output of dmesg ? I wonder if your orphan inode problem is
related to us not doing the right thing with HPA on resume on some boxes.
Comment 2 Luke Hutchison 2006-11-01 12:33:53 EST
Unfortunately I can't boot into FC6 right now because of bug 207208.  Will try
to fix the booting issue soon so I can provide the dmesg output.
Comment 3 Luke Hutchison 2006-11-01 12:35:22 EST
Sorry, that last comment was probably confusing... FC6test3 trashed my grub, and
I ended up re-installing XP Pro.  I now need to get Fedora up and running again.
 Will try installing FC6 final to see if there's even an issue there.
Comment 4 Luke Hutchison 2006-11-02 00:24:32 EST
Created attachment 140083 [details]
Output of dmesg
Comment 5 Luke Hutchison 2006-11-02 00:51:32 EST
So I now have a fresh install of FC6 final on the same laptop, and it hibernates
and suspends fine, and resumes from hibernate fine, but it doesn't resume from
suspend properly.  It looks like the video card is not getting initialized
correctly.  I will file this as a separate bug; however the problem of not
hibernating completely seems fixed in FC6 final, so I can't test whether the
orphaned inodes problem remains.  Is the dmesg output helpful?
Comment 6 Nigel Cunningham 2006-11-08 18:35:19 EST
To get video back after suspend to ram, you probably need to run a userspace 
utility. Do you know what chipset you have?
Comment 7 Luke Hutchison 2006-11-08 18:48:03 EST
i855GM.  The video resume from suspend worked fine in FC6test3, not sure why I
would now need a userspace utility.  Is there one I should be using though?

Bug 213593 shows screenshots of the problem.  The screen gradually turns white,
and has a weird uneven grey border around it.  I've seen this on multiple
chipsets before (at least nVidia as well as Intel), so I think it's actually an
xorg thing.

Comment 8 Nigel Cunningham 2007-06-12 02:38:13 EDT
Sorry for the glacially slow reply. 915resolution is probably the tool you're after.
Comment 9 Nigel Cunningham 2007-09-10 19:49:20 EDT
Closing due to lack of further information.

Note You need to log in before you can comment on or make changes to this bug.